be.fgov.ehealth.standards.kmehr.schema.v1

## Class SiteType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.schema.v1.SiteType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-04-08T03:21:11+02:00",
                 comments="JAXB RI v2.3.7")
      public class SiteType
      extends Object
      implements Serializable

  Java class for siteType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="siteType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-SITE"/>
               <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiteType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDSITE` | `getCd()` Gets the value of the cd property.
    `TextType` | `getText()` Gets the value of the text property.
    `void` | `setCd(CDSITE value)` Sets the value of the cd property.
    `void` | `setText(TextType value)` Sets the value of the text property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiteType

          public SiteType()

  - ### Method Detail

    - #### getText

          public TextType getText()

      Gets the value of the text property.
      Returns:
        possible object is `TextType`

    - #### setText

          public void setText(TextType value)

      Sets the value of the text property.
      Parameters:
        `value` - allowed object is `TextType`

    - #### getCd

          public CDSITE getCd()

      Gets the value of the cd property.
      Returns:
        possible object is `CDSITE`

    - #### setCd

          public void setCd(CDSITE value)

      Sets the value of the cd property.
      Parameters:
        `value` - allowed object is `CDSITE`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.